# Yating Voice Command SDK - Javascript

AILabs Yating Voice Command Javascript SDK - 幫助使用者在前端介接語音指令辨識

> 注意: 此SDK只適用於前端

## 使用方法
```js
import { AILabsYatingASR } from "@ailabs-yating/asr-client-sdk-javascript"
import { AILabsYatingVoiceCommand } from "@ailabs-yating/voice-command-client-sdk-javascript"
import { getToken } from "./util"

const asr = new AILabsYatingASR(getToken)
const voiceCommand = new AILabsYatingVoiceCommand(
  asr,
  "API_KEY",
  "https://your-backend.com/voice-command",
  { timeoutMs: 2500 }
)

voiceCommand.on('intent', (event) => {
  console.log(`voice command intent: ${JSON.stringify(event)}`)
})

asr.connect().then(() => voiceCommand.start())
```

* ASR SDK請參考[此處](https://www.npmjs.com/package/@ailabs-yating/asr-client-sdk-javascript)
* `https://your-backend.com/voice-command`: 為了避免CORS policy, Voice Command SDK會使用這個endpoint當做後端API, 請在您的後端proxy request至Yating Voice Command API
* `start()`: 開始執行Voice Command
* `pause()`: 可以將Voice Command暫停, 不會繼續將內容種服務辨識
* `resume()`: 繼續Voice Command操作
* `stop()`: 離開Voice Command操作, 請注意stop後上述設定listener將會被移除