import { AILabsYatingASR } from "@ailabs-yating/asr-client-sdk-javascript";
import { EventType, EventTypeMapping, Options } from "./types";
export declare class AILabsYatingVoiceCommand {
    private asr;
    private apiKey;
    private voiceCommandEndpointOverride?;
    private eventEmitter;
    private voiceCommandEndpoint;
    private running;
    private asrTextBuffer;
    private debounceTimeoutId?;
    private projectId;
    private languageCode;
    private triggerWords;
    private timeoutMs;
    constructor(asr: AILabsYatingASR, apiKey: string, voiceCommandEndpointOverride?: string | undefined, options?: Options);
    private postIntent;
    private handleAsrSentence;
    private handleAsrSentenceFinal;
    private isTriggered;
    private callCustomHandler;
    private handleDebounceIntent;
    start(projectId?: string): void;
    pause(): void;
    resume(): void;
    stop(): void;
    isRunning(): boolean;
    on<T extends EventType>(eventType: T, handler: (event: EventTypeMapping[T]) => void): this;
}
export * from './types';
