export declare type EventType = "intent" | "error";
export interface Parameter {
    text: string;
    normalization?: string;
    type: string;
}
export interface Intent {
    id: string;
    displayName: string;
    score: number;
}
export interface IntentResponse {
    responseId: string;
    queryText: string;
    parameters: Parameter[];
    intent: Intent;
    languageCode: string;
}
export interface EventTypeMapping extends Record<EventType, IntentResponse | Error> {
    "intent": IntentResponse;
    "error": Error;
}
export interface Options {
    projectId?: string;
    languageCode?: string;
    triggerWords?: string[];
    timeoutMs?: number;
}
